gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::IconThemeError Class Reference

Exception class for Gdk::IconTheme errors. More...

Inheritance diagram for Gtk::IconThemeError:
[legend]
Collaboration diagram for Gtk::IconThemeError:
[legend]

## Public Types
enum | Code { ICON_THEME_NOT_FOUND, ICON_THEME_FAILED }

## Public Member Functions
| IconThemeError (Code error_code, const Glib::ustring& error_message)
| IconThemeError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::IconTheme errors.

## Member Enumeration Documentation

enum Gtk::IconThemeError::Code

Enumerator
ICON_THEME_NOT_FOUND |
ICON_THEME_FAILED |

## Constructor & Destructor Documentation

Gtk::IconThemeError::IconThemeError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::IconThemeError::IconThemeError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::IconThemeError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/icontheme.h